[Pkg-samba-maint] Bug#589782: samba: Panic or segfault in Samba

Ben Hildred ben at appliedplastic.com
Wed Jul 21 00:21:11 UTC 2010

Package: samba
Version: 2:3.2.5-4lenny12
Severity: normal

I have been getting approx 20 emails a day from the panic action script for the last couple weeks, (previously I was geeting them only when sombody restarted their computer). These emails indicated that the panic action script did not have suffecient privleges to debug samba, so I made the panic action script suid root to debug, at which point it eronously reports that gdb is not installed.

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages samba depends on:
ii  adduser         3.110                    add and remove users and groups
ii  debconf [debcon 1.5.24                   Debian configuration management sy
ii  libacl1         2.2.47-2                 Access control list shared library
ii  libattr1        1:2.4.43-2               Extended attribute shared library
ii  libc6           2.7-18lenny4             GNU C Library: Shared libraries
ii  libcomerr2      1.41.3-1                 common error description library
ii  libcups2        1.3.8-1+lenny8           Common UNIX Printing System(tm) - 
ii  libgnutls26     2.4.2-6+lenny2           the GNU TLS library - runtime libr
ii  libkrb53        1.6.dfsg.4~beta1-5lenny4 MIT Kerberos runtime libraries
ii  libldap-2.4-2   2.4.11-1+lenny1          OpenLDAP libraries
ii  libpam-modules  1.0.1-5+lenny1           Pluggable Authentication Modules f
ii  libpam-runtime  1.0.1-5+lenny1           Runtime support for the PAM librar
ii  libpam0g        1.0.1-5+lenny1           Pluggable Authentication Modules l
ii  libpopt0        1.14-4                   lib for parsing cmdline parameters
ii  libtalloc1      1.2.0~git20080616-1      hierarchical pool based memory all
ii  libwbclient0    2:3.2.5-4lenny12         client library for interfacing wit
ii  logrotate       3.7.1-5                  Log rotation utility
ii  lsb-base        3.2-20                   Linux Standard Base 3.2 init scrip
ii  procps          1:3.2.7-11               /proc file system utilities
ii  samba-common    2:3.2.5-4lenny12         Samba common files used by both th
ii  update-inetd    4.31                     inetd configuration file updater
ii  zlib1g          1:        compression library - runtime

samba recommends no packages.

Versions of packages samba suggests:
ii  ldb-tools             0.92~git20080616-1 LDAP-like embedded database - tool
ii  openbsd-inetd [inet-s 0.20080125-2       The OpenBSD Internet Superserver
ii  smbldap-tools         0.9.4-1            Scripts to manage Unix and Samba a

-- debconf information:
  samba/tdbsam: false
* samba/generate_smbpasswd: false
* samba/run_mode: daemons

More information about the Pkg-samba-maint mailing list